Page MenuHomePhabricator

[Polly][Isl] Use isl::set::tuple_dim, isl::map::domain_tuple_dim and isl::map::range_tuple_dim. NFC
ClosedPublic

Authored by patacca on Jun 27 2021, 9:44 AM.

Details

Summary

This is part of an effort to reduce the differences between the custom C++ bindings used right now by polly in lib/External/isl/include/isl/isl-noxceptions.h and the official isl C++ interface.

Changes made:

Note that not all the usage of isl::{set,map}::dim where replaced

Diff Detail

Event Timeline

patacca created this revision.Jun 27 2021, 9:44 AM
patacca published this revision for review.Jun 27 2021, 9:47 AM
patacca edited the summary of this revision. (Show Details)
patacca added a reviewer: Meinersbur.
patacca added a project: Restricted Project.
patacca edited the summary of this revision. (Show Details)
Herald added a project: Restricted Project. · View Herald TranscriptJun 27 2021, 9:48 AM
bmahjour removed a subscriber: bmahjour.Jun 28 2021, 6:47 AM

The patch includes changes to isl_map.c. It looks like that you cherry-picked a change from isl to include here. Please don't diverge the isl sources from upstream.

Usually we commit changes to isl itself separately. Use the script update-isl.sh for this. You can commit it separately without review, but ensure that you ran check-polly beforehand and add any additional files that were added in the isl repository. See rG842314b5f078b5c63df1d7e271fc6fad8461d44f as an example. Alternatively, ask me to make such a commit.

polly/lib/Analysis/ScopInfo.cpp
256

[nit] Change look unrelated

ormris removed a subscriber: ormris.Jun 29 2021, 10:02 AM
patacca updated this revision to Diff 356390.Jul 4 2021, 11:29 AM

Rebase to main and revert the unrelated change (using auto instead of isl::set)

Meinersbur accepted this revision.Jul 5 2021, 4:29 PM

LGTM

polly/lib/Analysis/ScopInfo.cpp
256

[nit] Unrelated change still present

This revision is now accepted and ready to land.Jul 5 2021, 4:29 PM
patacca updated this revision to Diff 356619.Jul 6 2021, 12:22 AM

Revert all the unrelated changes

This revision was landed with ongoing or failed builds.Jul 6 2021, 2:21 AM
This revision was automatically updated to reflect the committed changes.